# eoRanking< EOT > Class Template Reference

An instance of eoPerfFromWorth COmputes the ranked fitness: fitnesses range in [m,M] with m=2-pressure/popSize and M=pressure/popSize. More...

`#include <eoRanking.h>`

Inheritance diagram for eoRanking< EOT >:

List of all members.

## Public Member Functions

| eoRanking (double _p=2.0, double _e=1.0)
int | lookfor (const EOT *_eo, const eoPop< EOT > &_pop)
virtual void | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

double | pressure
double | exponent

## Detailed Description

### template<class EOT>
class eoRanking< EOT >

An instance of eoPerfFromWorth COmputes the ranked fitness: fitnesses range in [m,M] with m=2-pressure/popSize and M=pressure/popSize.

in between, the progression depstd::ends on exponent (linear if 1).

Definition at line 38 of file eoRanking.h.

The documentation for this class was generated from the following file:

- eoRanking.h